Bug 869696 - JON Agent embeds an old and unsupported version of Augeas ... which creates both a security concern and an unsupportable condition with respect to customers
JON Agent embeds an old and unsupported version of Augeas ... which creates b...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.1
Unspecified Unspecified
urgent Severity high
: ---
: JON 3.1.2
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 11:13 EDT by Mike Foley
Modified: 2013-06-04 00:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 00:39:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-10-24 11:13:21 EDT
Description of problem:  JON Agent embeds an old and unsupported version of Augeas ... which creates both a security concern and an unsupportable condition with respect to customers   The native libraries for Augeas, embedded into the JON Agent set the context for an unsupportable condition, as follows:

1.  The native libraries embedded into the JON agent are not upgraded to the latest supported Augeas versions with each JON release.  The versions contained in JON are stale, and unsupported.

2.  It is difficult for the JON Team to respond to customer issues with Augeas with a patch because of this.

3.  Issues identified with JON/Augeas ... particularly in the area of memory leaks (I will add a reference to the specific customer issue) ...  are nearly un-actionable.  JON team can't fix an Augeas memory leak.  The Augeas team expects retesting on a current version.  And the customer experience with Augeas suffers because of this organizational deadlock.    

4.  Errata TPS failures related to this packaging.  

  
Actual results:   The packaging of Augeas in the JON Agent is less than desirable. 


Expected results:   Improved packaging of Augeas plugin.  We ship the current supported version of Augeas.  We build the version we ship to improve supportability.  


Note:  Since this is analugous to the Sigar binary packaing issue of JON 3.1.1 ... I am :cc'ing David Jorm to get this concern on his radar screen.
Comment 1 Mike Foley 2012-10-24 11:23:03 EDT
case 00686057 regarding Augeas memory leak ... although the implication is there have been numerous  customer complaints surrounding Augeas memory consumption.

Augeas memory leak
We are still receiving reports of large memory consumption by the Augeas library. The latest report comes from LIIKENNEVIRASTO in case 00686057 which identifies a  12G memory foot print by the agent. After removing the augeas libraries from the agent installation, agent memory consumption stays around 170M.
Comment 2 Mike Foley 2012-10-24 11:30:28 EDT
added David Jorm to :cc list
Comment 6 Filip Brychta 2012-12-19 11:56:44 EST
Moving to on_dev because of bug 881792.
Comment 7 Filip Brychta 2012-12-21 10:11:14 EST
Moving to verified since bug 881792 and bug 884880 are verified as well.
Comment 8 Arun Babu Neelicattu 2013-06-04 00:39:11 EDT
Closing this issue. This fix is incorporated in 3.1.2 GA.

Note You need to log in before you can comment on or make changes to this bug.